.product-card,
.product-image-wrap,
.capture-click,
.product-look,
.img-wrapper-look,
a {
    -webkit-tap-highlight-color: transparent !important;
}

@media (max-width: 1024px) {
    .capture-click {
        top: 60% !important;
        height: 40% !important;
    }

    .product-image-wrap,
    .img-wrapper-look {
        position: relative;
        z-index: 2;
        cursor: default;
    }

    .product-wishlist {
        z-index: 4 !important;
    }

    .product-badge {
        z-index: 5 !important;
    }

    .product-card .product-image-wrap.is-swiped img.hover-image {
        opacity: 1 !important;
        transition: opacity 0.3s ease;
    }

    .product-look .img-wrapper-look.is-swiped img:nth-child(n + 2) {
        opacity: 1 !important;
        transition: opacity 0.3s ease;
    }
}
/* ==========================================================================
   CART POPUP COMPONENT
   ========================================================================== */

.cart-wrapper {
    position: relative;
}

.cart-popup {
    position: absolute;
    top: calc(100% + 15px);
    right: -10px;
    width: 380px;
    background: #ffffff;
    border: 1px solid #e5dacd;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all 0.3s ease;
    padding: 20px;
    cursor: default;
}

.cart-popup::before {
    content: "";
    position: absolute;
    top: -6px;
    right: 20px;
    width: 12px;
    height: 12px;
    background: #ffffff;
    border-top: 1px solid #e5dacd;
    border-left: 1px solid #e5dacd;
    transform: rotate(45deg);
}

/*.cart-wrapper:hover .cart-popup,*/
.cart-popup.active {
    opacity: 1 !important;
    visibility: visible !important;
    transform: translateY(0);
}

.cart-popup-close.mobile-only {
    display: none;
}

.cart-popup-items {
    max-height: 350px;
    overflow-y: auto;
    margin-bottom: 20px;
    padding-right: 5px;
}

/* Scrollbar Styling for popup */
.cart-popup-items::-webkit-scrollbar {
    width: 4px;
}
.cart-popup-items::-webkit-scrollbar-thumb {
    background: #e5dacd;
    border-radius: 4px;
}

.cart-item {
    display: flex;
    gap: 15px;
    margin-bottom: 25px;
    align-items: center;
}
.cart-item:last-child {
    margin-bottom: 0;
}

.cart-item-img {
    width: 74px;
    height: 74px;
    border: 1px solid #f1ece4;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
}
.cart-item-img img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.cart-item-info {
    flex-grow: 1;
    text-align: left;
}

.cart-item-title {
    font-size: 16px;
    color: #3d2b1f;
    line-height: 1;
    font-weight: 500;
    margin-bottom: 2.5px;
}

.cart-item-cat {
    font-size: 14px;
    color: #3d2b1f;
    margin: 0 0 6px 0;
    line-height: 1;
    font-weight: 500;
}

.cart-item-prices {
    margin: 0;
    font-size: 16px;
    display: flex;
    gap: 15px;
    align-items: center;
}

.current-price {
    font-weight: 500;
    color: #3d2b1f;
}

.old-price {
    color: #a4968c;
    line-height: 1;
    font-size: 16px;
    font-weight: 500;
    position: relative;
    text-decoration: none;
}

.old-price::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: -15%;
    width: 130%;
    height: 1px;
    background-color: #a4968c;
    transform: rotate(350deg);
    transform-origin: left center;
}

.cart-popup-btn {
    display: block;
    width: 100%;
    background: #3d2b1f;
    color: #ffffff;
    text-align: center;
    padding: 12px 0;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 1px;
    text-decoration: none;
    border: none;
    cursor: pointer;
    margin-bottom: 10px;
    border-radius: 7px;
    font-weight: 900;
    transition: background 0.2s ease;
}

.continue-cart-popup-btn {
    display: block;
    width: 100%;
    background: #ffffff;
    color: #3d2b1f;
    border: 1px solid #3d2b1f;
    text-align: center;
    padding: 12px 0;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 1px;
    text-decoration: none;
    cursor: pointer;
    border-radius: 7px;
    font-weight: 900;
    transition: background 0.2s ease;
}

.cart-popup-btn:hover {
    background: #251a12;
    color: #ffffff;
}
.continue-cart-popup-btn:hover {
    background: #3d2b1f;
    color: #ffffff;
}

.logo-bar-container {
    z-index: 1;
    position: relative;
}

@media (max-width: 1024px) {
    .cart-popup {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        border: none;
        border-radius: 0;
        z-index: 99999;
        display: flex;
        flex-direction: column;
        transform: translateX(100%);
        padding: 60px 20px 20px 20px;
    }

    .cart-popup::before {
        display: none;
    }

    .cart-popup.active {
        transform: translateX(0);
    }

    .cart-wrapper:hover .cart-popup {
        opacity: 0 !important;
        visibility: hidden !important;
        transform: translateX(100%);
    }
    .cart-wrapper:hover .cart-popup.active {
        opacity: 1 !important;
        visibility: visible !important;
        transform: translateX(0);
    }

    .cart-popup-close.mobile-only {
        display: block;
        position: absolute;
        top: 15px;
        right: 15px;
        width: 20px;
        height: 20px;
        background-image: url("./icons/close.png");
        border: none;
        font-size: 0px;
        color: #3d2b1f;
        cursor: pointer;
        line-height: 1;
    }

    .cart-popup-items {
        flex-grow: 1;
        max-height: none;
        margin-top: 10px;
        padding-right: 0;
    }

    .cart-popup-btn {
        margin-top: auto;
        padding: 16px 0;
    }
}

.woocommerce-mini-cart__total.total{
    height: 35px;
    text-align: center;
}
